language: cpp
sudo: required
dist: trusty

os: linux

before_install:
  - sudo add-apt-repository --yes ppa:beineri/opt-qt57-trusty
  - sudo apt-get update -qq
  
install:
  - sudo apt-get -y install binutils qt57base qt57quickcontrols qt57quickcontrols2 qt57svg 

script:
  - source /opt/qt57/bin/qt57-env.sh
  - /opt/qt57/bin/qmake xdgurl.pro
  - make -j7
  - strip ./xdgurl
  - cp ./xdgurl xdgurl.AppDir/
  - wget https://transfer.sh/DHN4B/linuxdeployqt-799f704-x86-64.appimage
  - chmod a+x linuxdeployqt-799f704-x86-64.appimage
  - export VERSION=$(git describe --always)
  - ./linuxdeployqt-799f704-x86-64.appimage ./xdgurl.AppDir/ -verbose=2 -appimage
  - ls -lh
  - # curl --upload-file ./xdgurl-*.AppImage https://transfer.sh/xdgurl-$VERSION-x86_64.appimage
